jQuery( function () {
	'use strict';
    // Save Settings & API Call for Activate License
    jQuery('#ilpe_activate_product').on('click', function (e) {
        e.preventDefault();
        var ilpe_purchase_source = jQuery("#ilpe_purchase_source").val();
        var ilpe_purchase_key = jQuery("#ilpe_activate_key").val();
        var ilpe_admin_email = jQuery("#ilpe_admin_email").val();
        if (ilpe_purchase_source === '' || ilpe_purchase_key === '' || ilpe_admin_email === '') {
            jQuery("#error-msg").fadeIn().html("* All fields are mandatory.").delay(5000).fadeOut("slow");
        } else {
            jQuery.ajax({
                type: "post",
                url: ilpe_obj.ajaxurl,
                data: {
                    action: 'ilpe_activation_api_call',
                    ilpe_purchase_source: ilpe_purchase_source,
                    ilpe_purchase_key: ilpe_purchase_key,
                    ilpe_admin_email: ilpe_admin_email
                },
                beforeSend: function () {
                    jQuery('.spinner').addClass('is-active');
                },
                success: function (response) {
                    var result = JSON.parse(response);
                    if (result.success) {
                        swal(
                            'Success',
                            result.message,
                            'success'
                        );
                        window.location.href = "admin.php?page=ilpe_setting";
                    } else if(result.success == false) {
                        swal(
                            'Error!',
                            result.message,
                            'error'
                        );
                    } else {
                        swal(
                            'Error!',
                            ilpe_obj.errormgs,
                            'error'
                        );
                    }
                    jQuery('.spinner').removeClass('is-active');
                }
            });
        }
    });

    // Save Settings & API Call for Deactivate License
    jQuery('#ilpe_deactivate_product').on('click', function (e) {
        e.preventDefault();
        var ilpe_purchase_source = jQuery("#ilpe_purchase_source").val();
        var ilpe_purchase_key = jQuery("#ilpe_activate_key").val();
        var ilpe_admin_email = jQuery("#ilpe_admin_email").val();
        if (ilpe_purchase_source === '' || ilpe_purchase_key === '' || ilpe_admin_email === '') {
            jQuery("#error-msg").fadeIn().html("* All fields are mandatory.").delay(5000).fadeOut("slow");
        } else {
            jQuery.ajax({
                type: "post",
                url: ilpe_obj.ajaxurl,
                data: {
                    action: 'ilpe_deactivation_api_call',
                    ilpe_purchase_source: ilpe_purchase_source,
                    ilpe_purchase_key: ilpe_purchase_key,
                    ilpe_admin_email: ilpe_admin_email
                },
                beforeSend: function () {
                    jQuery('.spinner').addClass('is-active');
                },
                success: function (response) {
                    var result = JSON.parse(response);
                    if (result.success) {
                        swal(
                            'Success',
                            result.message,
                            'success'
                        );
                        window.location.href = "admin.php?page=ilpe_setting";
                    } else if(result.success == false) {
                        swal(
                            'Error!',
                            result.message,
                            'error'
                        );
                    } else {
                        swal(
                            'Error!',
                            ilpe_obj.errormgs,
                            'error'
                        );
                    }
                    jQuery('.spinner').removeClass('is-active');
                }
            });
        }
    });
} );