<?php
/**
 * Exit if accessed directly
 */
if (!defined('ABSPATH')) {
    exit;
}
define('ILPE_STORE_URL','https://demo.techeshta.com/');

// Ajax action Call for Activate License
add_action('wp_ajax_ilpe_activation_api_call', 'ilpe_activation_api_call');
function ilpe_activation_api_call() {
    $ilpe_purchase_source = sanitize_text_field('envato');
    $ilpe_purchase_key = sanitize_text_field($_POST['ilpe_purchase_key']);
    $ilpe_activation_type = sanitize_text_field('activate');
    $current_user = wp_get_current_user();
    $ilpe_admin_email = sanitize_email($current_user->user_email);
    $apiUrl = ILPE_STORE_URL."/wp-json/api/v1/verify-purchase?purchase_source=".$ilpe_purchase_source."&purchase_name=".ILPE_NAME."&purchase_email=".$ilpe_admin_email."&purchase_key=".$ilpe_purchase_key."&purchase_site=".ILPE_SITE."&activation_type=".$ilpe_activation_type;
    
    if (!empty($ilpe_purchase_source)) {
        $response = wp_remote_retrieve_body( wp_remote_post($apiUrl) );
        $res = json_decode($response);
        
        if ($res->success == 1) {
            update_option('ilpe_purchase_source', $ilpe_purchase_source);
            update_option('ilpe_purchase_key', $ilpe_purchase_key);
            update_option('ilpe_activation_type', $ilpe_activation_type);
            update_option('ilpe_activationinitres_stauts',$res->status);           
            echo $response;
            exit;
        } else if (!$res->success){
            echo $response;
            exit; 
        } else {
            $message = array(
                'success' => false,
                'status' => 'failed',
                'message' => __('Something went wrong',ILPE_DOMAIN)
            );
            $response = json_encode($message);
            echo $response;
            exit;
        }
    }
}

// Ajax action Call for Activate License

add_action('wp_ajax_ilpe_deactivation_api_call', 'ilpe_deactivation_api_call');
function ilpe_deactivation_api_call() {
    $ilpe_purchase_source = sanitize_text_field('envato');
    $ilpe_purchase_key = sanitize_text_field($_POST['ilpe_purchase_key']);
    $ilpe_activation_type = sanitize_text_field('deactivate');
    $current_user = wp_get_current_user();
    $ilpe_admin_email = sanitize_email($current_user->user_email);
    $apiUrl = ILPE_STORE_URL."/wp-json/api/v1/verify-purchase?purchase_source=".$ilpe_purchase_source."&purchase_name=".ILPE_NAME."&purchase_email=".$ilpe_admin_email."&purchase_key=".$ilpe_purchase_key."&purchase_site=".ILPE_SITE."&activation_type=".$ilpe_activation_type;

    if (!empty($ilpe_purchase_source)) {
        $response = wp_remote_retrieve_body( wp_remote_post($apiUrl) );
        $res = json_decode($response);
        
        if ($res->success == 1) {
            update_option('ilpe_purchase_source', $ilpe_purchase_source);
            update_option('ilpe_purchase_key', $ilpe_purchase_key);
            update_option('ilpe_activation_type', $ilpe_activation_type);
            update_option('ilpe_activationinitres_stauts',$res->status);
            echo $response;
            exit;
        } else if (!$res->success){
            echo $response;
            exit; 
        } else {
            $message = array(
                'success' => false,
                'status' => 'failed',
                'message' => __('Something went wrong', ILPE_DOMAIN)
            );
            $response = json_encode($message);
            echo $response;
            exit;
        }
    }
}

/*
 * Cron Schedule change filter
 */
function ilpe_verifylicense_everyday( $schedules ) {
    $schedules['daily'] = array(
            'interval'  => 86400, // day
            'display'   => __('Once Daily', ILPE_DOMAIN)
    );

    return $schedules;
}
add_filter('cron_schedules', 'ilpe_verifylicense_everyday');

/*
 * Schedule an action if it's not already scheduled
 */
if(!wp_next_scheduled ('ilpe_verifylicense_everyday')){
    wp_schedule_event(time(), 'daily', 'ilpe_verifylicense_everyday');
}
/*
 * Hook into that action that'll fire every day
 */
add_action('ilpe_verifylicense_everyday', 'ilpe_check_license_verification');

function ilpe_check_license_verification(){
    $ilpe_purchase_source = get_option('ilpe_purchase_source');
    $ilpe_purchase_key = get_option('ilpe_purchase_key');
    $ilpe_activation_type = 'initiatelicense';
    $apiUrl = ILPE_STORE_URL."/wp-json/api/v1/verify-purchase?purchase_source=".$ilpe_purchase_source."&purchase_name=".ILPE_NAME."&purchase_email=".$ilpe_admin_email."&purchase_key=".$ilpe_purchase_key."&purchase_site=".ILPE_SITE."&activation_type=".$ilpe_activation_type;

    if (!empty($ilpe_purchase_source)) {
        $response = wp_remote_retrieve_body( wp_remote_post($apiUrl) );
        $res = json_decode($response);

        if ($res->success == 1) {
            update_option('ilpe_activationinitres_stauts',$res->status);
            update_option('ilpe_activationinit_stauts',$res->message);
        }
    }

}