<?php
/*
 * Exit if accessed directly
 */
if (!defined('ABSPATH')) {
    exit;
}

/*
 * Active & validate plugin
 */
if (!function_exists('ilpe_activate_function')) {

    function ilpe_activate_function() {
        $ilpe_purchase_source = get_option('ilpe_purchase_source');
        $ilpe_purchase_key = get_option('ilpe_purchase_key');
        $ilpe_activation_type = get_option('ilpe_activation_type');
        
        ?>
        <div class="ilpe-body">
            <div class="ilpe-header">
                <h1 class="wp-heading-inline"><?php esc_html_e('Item Lists Pro Activate', ILPE_DOMAIN); ?></h1>
            </div>
            <div id="ilpe-wrap" class="ilpe-wrap">
                <div class="ilpe_wrapper ilpe_wrapper_activate">
                    <form action="" method="post" id="ilpe-form-activate" class="ilpe-form-activate">
                        <div class="ilpe-form-activate-container">
                            <div class="ilpe-form-field">
                                <h3><?php esc_html_e('Please activate the plugin with the purchase key:', ILPE_DOMAIN); ?></h3>
                                <label for="ilpe_label" class="ilpe_activate_label" id="" ><?php esc_html_e('Enter Key : ', ILPE_DOMAIN); ?></label>
                                <input type="text" required name="ilpe_activate_key" class="ilpe_activate_key" id="ilpe_activate_key" value="<?php esc_html_e($ilpe_purchase_key); ?>" >
                                <?php if ($ilpe_activation_type == 'activate') { ?>
                                    <input type="button" id="ilpe_deactivate_product" name="ilpe_deactivate_product" class="ilpe_deactivate_product" value="<?php esc_html_e('Deactivate', ILPE_DOMAIN) ?>">
                                    <span class="spinner"></span>
                                <?php } else { ?>
                                    <input type="button" id="ilpe_activate_product" name="ilpe_activate_product" class="ilpe_deactivate_product" value="<?php esc_html_e('Activate', ILPE_DOMAIN) ?>">
                                    <span class="spinner"></span>
                                <?php } ?>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <?php
    }

}