<!-- Start Alternate Timeline Bullet Style -->
<?php use Elementor\Icons_Manager; ?>
<div class="ile-alternate-timeline-bullet-style">
    <?php $count = 0; 
    foreach ($settings['timeline_item_lists'] as $items => $item) {
        $title = $item['timeline_list_items_title'];
        $content = $item['timeline_list_items_content'];
        $icon_color = $item['timeline_icon_color'];
        $icon_bg_color = $item['timeline_icon_bg_color'];
        $ile_timeline_content = "ile-timeline-right";
        if($count % 2 == 0) { 
            $ile_timeline_content = "ile-timeline-left";  
        } 
        $timeline_link = $item['timeline_link']['url'] ;
        $target = $item['timeline_link']['is_external'] ? ' target="_blank"' : '';
        $rel = $item['timeline_link']['nofollow'] ? ' rel="nofollow"' : '';
        ?>
        <div class="ile-container-holder <?php esc_attr_e( $ile_timeline_content ); ?>">
            <div class="ile-timeline-vertical"></div>
            <div class="ile-container elementor-animation-<?php esc_attr_e( $settings['shape_hover_animation'] ); ?>">
                <div class="ile-timeline-horizontal"></div>
                <?php if($item['timeline_list_items_display_icon'] === 'icon') { ?>
                <div class="ile-icon-box" style="background-color:<?php esc_attr_e( $icon_bg_color ); ?>">
                <?php Icons_Manager::render_icon($item['timeline_list_items_icon'], [ 'aria-hidden' => 'true', 'class' => 'ile-icon', 'style' => 'color: '. $icon_color .';' ]); ?>
                </div>
                <?php } else if($item['timeline_list_items_display_icon'] === 'image') { ?>
                    <img src="<?php echo esc_url( $item['timeline_list_items_image']['url'] ); ?>" class="ile-image" /><?php
                } ?>
                <a href = "<?php echo esc_url($timeline_link); ?>" <?php esc_attr_e($target); esc_attr_e($rel); ?>>
                    <div class="ile-content-box">
                        <h2 class="ile-title"><?php esc_html_e( $title ); ?></h2>
                        <p class="ile-content"><?php esc_html_e( $content ); ?></p>
                    </div>
                </a>
            </div>
        </div>
    <?php $count = $count +1; } ?>
</div>
<!-- End Alternate Timeline Bullet Style -->