<!-- Start Gradient Service Bullet Style -->
<?php use Elementor\Icons_Manager;
$count = 0;
/**
 * Gradient Service Bullet Style
 * 
 * @since  1.2
*/
?>
<div class="ile-gradient-service-bullet-style <?php esc_attr_e( $settings['list_items_box_column_direction'] ); ?>" style="direction:<?php esc_attr_e( $settings['list_items_box_column_direction'] ); ?>;"><?php
    foreach ($settings['gradient_service_item_lists'] as $items => $item) {
        $title = $item['gradient_service_list_items_title'];
        $title_color = $item['gradient_service_title_color'];
        $content = $item['gradient_service_list_items_content'];
        $content_color = $item['gradient_service_content_color'];
        $content_bg_color = $item['gradient_service_content_bg_color'];
        $icon_color = $item['gradient_service_icon_color'];
        $icon_bg_color_first = $item['gradient_service_icon_bg_color_first'];
        $icon_bg_color_second = $item['gradient_service_icon_bg_color_second'];
        $list_number = $item['gradient_service_list_items_number']; 
        $gradient_service_link = $item['gradient_service_link']['url'] ;
        $target = $item['gradient_service_link']['is_external'] ? ' target="_blank"' : '';
        $rel = $item['gradient_service_link']['nofollow'] ? ' rel="nofollow"' : ''; ?>
        <a href = "<?php echo esc_url($gradient_service_link); ?>" <?php esc_attr_e($target); esc_attr_e($rel); ?>>
            <div class="ile-container-holder <?php esc_attr_e( $id ); esc_attr_e( $count ); ?> elementor-animation-<?php esc_attr_e( $settings['hover_animation'] ); ?>">
                <div class="ile-icon-top-box"></div>
                <div class="ile-icon-box" style="background: linear-gradient(45deg, <?php esc_attr_e( $icon_bg_color_first ); ?>, <?php esc_attr_e( $icon_bg_color_second ); ?>);">
                    <?php Icons_Manager::render_icon($item['gradient_service_list_items_icon'], [ 'aria-hidden' => 'true', 'class' => 'ile-icon', 'style' => 'color:'.$icon_color.';' ]); ?>
                </div>
                    <div class="ile-list-number" style="background: linear-gradient(45deg, <?php esc_attr_e( $icon_bg_color_first ); ?>, <?php esc_attr_e( $icon_bg_color_second ); ?>); color:<?php esc_attr_e( $icon_color ); ?>;"><?php esc_attr_e( $list_number ); ?></div>
                        <div class="ile-content-box" style="background-color:<?php esc_attr_e( $content_bg_color ); ?>;">
                            <h2 class="ile-title" style="color:<?php esc_attr_e( $title_color ); ?>;"><?php esc_html_e( $title ); ?></h2>
                            <p class="ile-content" style="color:<?php esc_attr_e( $content_color ); ?>;"><?php esc_html_e( $content ); ?></p>
                        </div>    
            </div>
        </a><?php
        $count = $count + 1;
    } ?>
</div>
<style>
<?php 
    $count = 0;
    foreach ($settings['gradient_service_item_lists'] as $items => $item) { 
        $icon_bg_color_first = $item['gradient_service_icon_bg_color_first'];
        $icon_bg_color_second = $item['gradient_service_icon_bg_color_second']; ?>
        .ile-gradient-service-bullet-style .<?php esc_attr_e( $id ); esc_attr_e( $count ); ?> .ile-icon-box:after {
            background: linear-gradient(45deg, <?php esc_attr_e( $icon_bg_color_first ); ?>, <?php esc_attr_e( $icon_bg_color_second ); ?>);
        }<?php
    $count = $count + 1;
} ?>
</style>
<!-- End Gradient Service Bullet Style -->