<!-- Start Material Bullet Style -->
<?php use Elementor\Icons_Manager; ?>
<div class="ile-material-bullet-style" style="direction:<?php esc_attr_e( $settings['list_items_box_column_direction'] ); ?>;">
    <div class="ile-container-holder">
    <?php foreach ($settings['material_item_lists'] as $items => $item) {
        $title = $item['material_list_items_title'];
        $title_color = $item['material_title_color'];
        $content = $item['material_list_items_content'];
        $content_color = $item['material_content_color'];
        $content_bg_color = $item['material_content_bg_color'];
        $icon_color = $item['material_icon_color'];
        $icon_bg_color = $item['material_icon_bg_color'];
        $material_list_link = $item['material_list_link']['url'] ;
        $target = $item['material_list_link']['is_external'] ? ' target="_blank"' : '';
        $rel = $item['material_list_link']['nofollow'] ? ' rel="nofollow"' : '';
	?>
        <a href = "<?php echo esc_url($material_list_link); ?>" <?php esc_attr_e($target); esc_attr_e($rel); ?>>
            <div class="ile-container-row elementor-animation-<?php esc_attr_e( $settings['hover_animation'] ); ?>"><?php
                if($item['material_list_items_display_icon'] === 'icon') { ?>
                    <div class="ile-icon-box" style="background-color:<?php esc_attr_e( $icon_bg_color ); ?>;">
                        <?php Icons_Manager::render_icon($item['material_list_items_icon'], [ 'aria-hidden' => 'true', 'class' => 'ile-icon', 'style' => 'color:'.$icon_color.';' ]); ?>
                    </div>
                <?php } 
                else if($item['material_list_items_display_icon'] === 'image') { ?>
                    <img src="<?php echo esc_url( $item['material_list_items_image']['url'] ); ?>" class="ile-image" />
                <?php } ?>
                <div class="ile-content-box" style="background-color:<?php esc_attr_e( $content_bg_color ); ?>;">
                    <h2 class="ile-title" style="color:<?php esc_attr_e( $title_color ); ?>;"><?php esc_html_e( $title ); ?></h2>
                    <p class="ile-content" style="color:<?php esc_attr_e( $content_color ); ?>;"><?php esc_html_e( $content ); ?></p>
                </div>
            </div>
        </a>
        <?php } ?>
    </div>
</div>
<!-- End Material Bullet Style -->