<!-- Start Material Curve Bullet Style -->
<?php use Elementor\Icons_Manager;
$count = 0;
/**
 * Material Curve Bullet Style
 * 
 * @since  1.2
*/
?>
<div class="ile-material-curve-bullet-style <?php esc_attr_e( $settings['list_items_box_column_direction'] ); ?>" style="direction:<?php esc_attr_e( $settings['list_items_box_column_direction'] ); ?>;"><?php
    foreach ($settings['material_curve_item_lists'] as $items => $item) {
        $title = $item['material_curve_list_items_title'];
        $title_color = $item['material_curve_title_color'];
        $content = $item['material_curve_list_items_content'];
        $content_color = $item['material_curve_content_color'];
        $content_bg_color = $item['material_curve_content_bg_color'];
        $icon_color = $item['material_curve_icon_color'];
        $material_curve_link = $item['material_curve_link']['url'] ;
        $target = $item['material_curve_link']['is_external'] ? ' target="_blank"' : '';
        $rel = $item['material_curve_link']['nofollow'] ? ' rel="nofollow"' : ''; ?>
        <a href = "<?php echo esc_url($material_curve_link); ?>" <?php esc_attr_e($target); esc_attr_e($rel); ?>>
            <div class="ile-container-holder <?php esc_attr_e( $id ); esc_attr_e( $count ); ?> elementor-animation-<?php esc_attr_e( $settings['hover_animation'] ); ?>" style="background-color:<?php esc_attr_e( $content_bg_color ); ?>;">
                <div class="ile-icon-box">
                    <?php Icons_Manager::render_icon($item['material_curve_list_items_icon'], [ 'aria-hidden' => 'true', 'class' => 'ile-icon', 'style' => 'color:'.$icon_color.';' ]); ?>
                </div>            
                <div class="ile-content-box">
                    <h2 class="ile-title" style="color:<?php esc_attr_e( $title_color ); ?>;"><?php esc_html_e( $title ); ?></h2>
                    <p class="ile-content" style="color:<?php esc_attr_e( $content_color ); ?>;"><?php esc_html_e( $content ); ?></p>
                </div>
            </div>
        </a><?php
        $count = $count + 1;
    } ?>
</div>
<style>
<?php 
    $count = 0;
    foreach ($settings['material_curve_item_lists'] as $items => $item) { 
        $icon_bg_color_first = $item['material_curve_icon_bg_color_first'];
        $icon_bg_color_second = $item['material_curve_icon_bg_color_second'];?>
        .ile-material-curve-bullet-style .<?php esc_attr_e( $id ); esc_attr_e( $count ); ?> .ile-icon-box:after,
        .ile-material-curve-bullet-style .<?php esc_attr_e( $id ); esc_attr_e( $count ); ?> .ile-icon-box:before {
            background: linear-gradient(45deg, <?php esc_attr_e( $icon_bg_color_first ); ?>, <?php esc_attr_e( $icon_bg_color_second ); ?>);
        }<?php
   $count = $count + 1;
} ?>
</style>
<!-- End Material Curve Bullet Style -->