<!-- Start Service Bullet Style -->
<?php use Elementor\Icons_Manager;
$count = 0;
/**
 * Service Bullet Style
 * 
 * @since  1.2
*/
?>
<div class="ile-service-bullet-style <?php esc_attr_e( $settings['list_items_box_column_direction'] ); ?>" style="direction:<?php esc_attr_e( $settings['list_items_box_column_direction'] ); ?>;"><?php
    foreach ($settings['service_item_lists'] as $items => $item) {
        $icon = $item['service_list_items_icon']['value'];
        $title = $item['service_list_items_title'];
        $title_color = $item['service_title_color'];
        $content = $item['service_list_items_content'];
        $content_color = $item['service_content_color'];
        $icon_color = $item['service_icon_color'];
        $background_color = $item['service_background_color'];
        $background_overlay_color = $item['service_background_overlay_color'];
        $service_link = $item['service_link']['url'] ;
        $target = $item['service_link']['is_external'] ? ' target="_blank"' : '';
        $rel = $item['service_link']['nofollow'] ? ' rel="nofollow"' : ''; ?>
        <div class="ile-container-holder <?php esc_attr_e( $id ); esc_attr_e( $count ); ?> elementor-animation-<?php esc_attr_e( $settings['hover_animation'] ); ?>">
        <a href = "<?php echo esc_url($service_link); ?>" <?php esc_attr_e($target); esc_attr_e($rel); ?>>
            <div class="ile-inner-container" style="background-color:<?php esc_attr_e( $background_color ); ?>;">
                <div class="ile-icon-box">
                    <?php Icons_Manager::render_icon($item['service_list_items_icon'], [ 'aria-hidden' => 'true', 'class' => 'ile-icon', 'style' => 'color:'.$icon_color.';' ]); ?>
                </div>            
                <div class="ile-content-box">
                    <h2 class="ile-title" style="color:<?php esc_attr_e( $title_color ); ?>;"><?php esc_html_e( $title ); ?></h2>
                    <p class="ile-content" style="color:<?php esc_attr_e( $content_color ); ?>;"><?php esc_html_e( $content ); ?></p>
                </div>
            </div>
        </a>
        </div><?php
        $count = $count + 1;
    } ?>
</div>
<style>
<?php 
    $count = 0;
    foreach ($settings['service_item_lists'] as $items => $item) { 
        $background_overlay_color = $item['service_background_overlay_color'];?>
        .ile-service-bullet-style .<?php esc_attr_e( $id ); esc_attr_e( $count ); ?>:before {
            background-color: <?php esc_attr_e( $background_overlay_color ); ?>;
        }<?php
    $count = $count + 1;
} ?>
</style>
<!-- End Service Bullet Style -->