<!-- Start Skew Bullet Style -->
<?php use Elementor\Icons_Manager;
/**
 * Skew Bullet Style
 * 
 * @since  1.2
*/
?>
<div class="ile-skew-bullet-style">
    <div class="ile-container-holder">
    <?php $alignment = $settings['list_items_icon_box_alignment'];
    $count = 0;
    foreach ($settings['skew_item_lists'] as $items => $item) {
        $title = $item['skew_list_items_title'];
        $title_color = $item['skew_title_color'];
        $content = $item['skew_list_items_content'];
        $content_color = $item['skew_content_color'];
        $content_bg_color = $item['skew_content_bg_color'];
        $order = $item['skew_list_items_order'];
        $icon_order_color = $item['skew_icon_order_color'];
        $icon_bg_color = $item['skew_icon_order_bg_color'];
        $icon_bg_color_2 = $item['skew_icon_order_bg_color_2'];
        $border_color = $item['skew_content_border_color']; 
        $skew_link = $item['skew_link']['url'] ;
        $target = $item['skew_link']['is_external'] ? ' target="_blank"' : '';
        $rel = $item['skew_link']['nofollow'] ? ' rel="nofollow"' : ''; ?>

    <a href = "<?php echo esc_url($skew_link); ?>" <?php esc_attr_e($target); esc_attr_e($rel); ?>>
        <div class="ile-content-container ile-number-alignment-<?php esc_attr_e( $alignment ); ?> elementor-animation-<?php esc_attr_e( $settings['hover_animation'] ); ?>">
            <div class="ile-icon-box" style="background-image: linear-gradient(to right,<?php esc_attr_e( $icon_bg_color ); ?>,<?php esc_attr_e( $icon_bg_color_2 ); ?>);">
                <?php Icons_Manager::render_icon($item['skew_list_items_icon'], [ 'aria-hidden' => 'true', 'class' => 'ile-icon', 'style' => 'color: '. $icon_order_color .';' ]); ?>
            </div>
            <div class="ile-content-box" style="background-color:<?php esc_attr_e( $content_bg_color ); ?>;border-color:<?php esc_attr_e( $border_color ); ?>;">
                <div class="ile-content-box-skew">
                    <h2 class="ile-title" style="color:<?php esc_attr_e( $title_color ); ?>;"><?php esc_html_e( $title ); ?></h2>
                    <p class="ile-content" style="color:<?php esc_attr_e( $content_color ); ?>;"><?php esc_html_e( $content ); ?></p>
                </div>
            </div>
            <div class="ile-svg-container">
                <svg width="301" height="201" viewBox="0 0 301 201" fill="none">
                    <path d="M211.991 187.215C204.117 194.302 189.156 200.206 178.526 200.206H15.1394C4.50944 200.206 -1.78978 191.939 0.96613 181.703L45.0607 18.71C47.8167 8.47379 58.8402 0.206055 69.4703 0.206055H232.856C243.487 0.206055 256.085 7.68639 261.203 17.1352L297.423 84.4582C302.541 93.9071 300.179 107.293 292.306 114.379L211.991 187.215Z" fill="url(#<?php esc_attr_e( $id ); esc_attr_e( $count ); ?>)"/>
                    <linearGradient id="<?php esc_attr_e( $id ); esc_attr_e( $count ); ?>" x1="66.1069" y1="100.092" x2="291.655" y2="100.092" gradientUnits="userSpaceOnUse">
                        <stop stop-color="<?php esc_attr_e( $icon_bg_color ); ?>"/>
                        <stop offset="1" stop-color="<?php esc_attr_e( $icon_bg_color_2 ); ?>"/>
                    </linearGradient>
                </svg>
                <div class="ile-order-number" style="color:<?php esc_attr_e( $icon_order_color ); ?>;"><?php esc_html_e( $order ); ?></div>
            </div>
        </div>
    </a><?php
        $count = $count + 1;
    } ?>
    </div>
</div>
<!-- End Skew Bullet Style -->